USE [COWS]
GO

ALTER TABLE dbo.LK_XNCI_MS NOCHECK CONSTRAINT ALL
GO
SET NOCOUNT ON

DELETE From LK_XNCI_MS_SLA
GO

--Cable Partner Platform
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (1,0,1,GETDATE(),'CP',null,2)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (2,0,1,GETDATE(),'CP',null,3)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (3,0,1,GETDATE(),'CP',null,7)
INSERT INTO LK_XNCI_MS_SLA(MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (4,0,1,GETDATE(),'CP',null,5)
INSERT INTO LK_XNCI_MS_SLA(MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (5,0,1,GETDATE(),'CP',null,6)

--ReSale Platform
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (1,0,1,GETDATE(),'RS',null,2)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (2,0,1,GETDATE(),'RS',null,3)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (3,0,1,GETDATE(),'RS',null,7)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (4,0,1,GETDATE(),'RS',null,5)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (5,0,1,GETDATE(),'RS',null,6)

--Sprint Facilities Platform
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (1,0,1,GETDATE(),'SF',null,2)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (2,0,1,GETDATE(),'SF',null,3)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (3,0,1,GETDATE(),'SF',null,7)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (7,0,1,GETDATE(),'SF',null,4)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (4,0,1,GETDATE(),'SF',null,5)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (5,0,1,GETDATE(),'SF',null,6)

--IPL Orders which have no Platform
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (1,0,1,GETDATE(),null,null,2)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (2,0,1,GETDATE(),null,null,3)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (3,0,1,GETDATE(),null,null,7)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (4,0,1,GETDATE(),null,null,5)
INSERT INTO LK_XNCI_MS_SLA (MS_ID,SLA_IN_DAY_QTY,CREAT_BY_USER_ID,CREAT_DT,PLTFRM_CD,ORDR_TYPE_ID,TO_MS_ID) VALUES (5,0,1,GETDATE(),null,null,6)

ALTER TABLE dbo.LK_XNCI_MS CHECK CONSTRAINT ALL
GO

-- select * from dbo.LK_XNCI_MS_SLA



